
#ifndef _UTIL_H_
#define _UTIL_H_

#define EXT_CLOCK_XTAL_FREQ 0
__attribute__((mips16)) int get_SYSCLK();
__attribute__((mips16)) int get_PBCLK();
__attribute__((mips16)) char hexdig(int value);

#if defined(__DEBUG)
#define breakpoint() __asm__ volatile (" sdbbp 0")
#else
#define breakpoint() (void)0
#endif

#endif//_UTIL_H_
